=== debian/changelog ===
mda-lv2 (0~svn2677-1) unstable; urgency=low

  * New upstream release.
  * Update debian/get-svn-source.sh, export only selected revision.
  * Refresh 01-makefile.patch, remove unneeded chunks.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Dec 2010 01:18:24 +0100

mda-lv2 (0~svn2614-2) unstable; urgency=low

  * Fix linking order to avoid FTBFS with binutils-gold.
  * Install all *.ttl files properly.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Nov 2010 12:09:52 +0100

mda-lv2 (0~svn2614-1) unstable; urgency=low

  * Initial release (Closes: #602572).

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Nov 2010 01:37:34 +0100
