=== debian/control ===
Source: mda-lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~),
 lv2core,
 libslv2-dev,
 libfftw3-dev,
 libgtk2.0-dev,
 libxt-dev,
 xsltproc
Homepage: http://dev.drobilla.net/browser/trunk/mda-lv2
Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git

Package: mda-lv2
Provides: lv2-plugin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Paul Kellett's MDA plugins ported to LV2
 This package provides Paul Kellett's MDA plugins ported to the
 LV2 specification.
 .
 LV2 (LADSPA version 2) is an open standard for plugins and matching
 host applications, mainly targeted at audio processing and generation.
 .
 This package provides the following synths and effects:
  * Ambience - Reverb effect
  * Bandisto - Multi-band distortion
  * BeatBox - Drum replacer
  * Combo - Amp & speaker simulation
  * De-ess - High frequency dynamics processor
  * Degrade - Sample quality reduction
  * Delay - Simple stereo delay with feedback tone control
  * Detune - Simple up/down pitch shifting thickener
  * Dither - Range of dither types including noise shaping
  * DubDelay - Delay with feedback saturation and time/pitch modulation
  * Dynamics - Compressor / Limiter / Gate
  * DX10 - FM Synthesizer
  * Envelope - Envelope follower / VCA
  * EPiano - Acoustic piano
  * Image - Stereo image adjustment and M-S matrix
  * JX10 - 2-Oscillator analog synthesizer
  * Leslie - Rotary speaker simulator
  * Limiter - Opto-electronic style limiter
  * Looplex - Looping plugin
  * Loudness - Equal loudness contours for bass EQ and mix correction
  * Multiband - Multi-band compressor with M-S processing modes
  * Overdrive - Soft distortion
  * RePsycho - Drum loop pitch changer
  * RezFilter - Resonant filter with LFO and envelope follower
  * RingMod - Ring modulator with sine-wave oscillator
  * Round Panner - 3D panner
  * Shepard - Continuously rising/falling tone generator
  * SpecMeter - VU-meter
  * Splitter - Frequency / level crossover for setting up dynamic
    processing
  * Stereo Simulator - Haas delay and comb filtering
  * Sub-Bass Synthesizer - Several low frequency enhancement methods
  * Talkbox - High resolution vocoder
  * TestTone - Signal generator with pink and white noise, impulses
    and sweeps
  * Thru-Zero Flanger - Classic tape-flanging simulation
  * Tracker - Pitch tracking oscillator, or pitch tracking EQ
  * Transient - Transient shaper
  * Vocoder - Switchable 8 or 16 band vocoder
  * VocInput - Pitch tracking oscillator for generating vocoder
    carrier input
 .
 These plugins make no claim of compatibility, or any other relation,
 to VST. This code does not require the VST SDK, or any other non-free
 software, and it has never come into contact with any part of the VST
 SDK.
