=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/mda-lv2

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install-system

override_dh_auto_clean:
	rm -rf get-orig-source
	dh_auto_clean

# Nothing to configure
override_dh_auto_configure:
# No tests available
override_dh_auto_test:
