=== debian/changelog ===
mda-lv2 (0~svn3133-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * Upstream has moved sources to a new location.
  * Update Homepage field.
  * Update debian/copyright to DEP-5 rev. 166
  * Use waf as buildsystem.
  * Drop 01-makefile.patch, now unnecessary.
  * Drop 02-system_libs.patch, now unnecessary.
  * Update licensing information.
  * Purge autowaf.pyc.
  * Add licensing information about waf.
  * Build-depend on python.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 01:12:41 +0200
