=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  libfftw3-dev,
  libgtk2.0-dev,
  libxt-dev,
+ python,
  xsltproc
-Homepage: http://dev.drobilla.net/browser/trunk/mda-lv2
+Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
 Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
