=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/mda-lv2
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr --debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_install:
	$(WAF) install

override_dh_auto_clean:
	$(WAF) distclean
	dh_auto_clean

# No tests available
override_dh_auto_test:
