=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 override_dh_auto_clean:
 	$(WAF) distclean
+	find -name "*.pyc" -delete
 	dh_auto_clean
 
 # No tests available
