## mda-lv2 0%7esvn3620%2bdfsg0

=== debian/changelog ===
mda-lv2 (0~svn3620+dfsg0-1) unstable; urgency=low

  * New SVN snapshot. Strip waf out of the tarball (Closes: #654489).
  * Add unpack_waf.sh script and adjust get-svn-source.sh to strip waf
    out of the tarball.
  * Properly clean sources tree.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 22:46:36 +0100
