## mda-lv2 1.0.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,11 +4,11 @@
 from waflib.extras import autowaf as autowaf
 
 # Version of this package (even if built as a child)
-MDALA_VERSION = '0.0.0'
+MDA_VERSION = '1.0.0'
 
 # Variables for 'waf dist'
-APPNAME = 'mdala.lv2'
-VERSION = MDALA_VERSION
+APPNAME = 'mda-lv2'
+VERSION = MDA_VERSION
 
 # Mandatory variables
 top = '.'
@@ -22,9 +22,9 @@
     conf.load('compiler_cxx')
     autowaf.configure(conf)
     conf.line_just = 23
-    autowaf.display_header('Mdala Configuration')
+    autowaf.display_header('MDA.lv2 Configuration')
 
-    autowaf.check_pkg(conf, 'lv2core', uselib_store='LV2CORE')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
 
     conf.env.append_unique('CFLAGS', '-std=c99')
 
@@ -55,14 +55,14 @@
     if libs != []:
         autowaf.use_lib(bld, obj, libs)
     obj.install_path = '${LV2DIR}/' + bundle
-    obj.uselib = ['LV2CORE']
+    obj.uselib = ['LV2']
 
     # Install data file
     data_file = '%s.ttl' % name
     bld.install_files('${LV2DIR}/' + bundle, os.path.join(bundle, data_file))
 
 def build(bld):
-    # Copy data files to build bundle (build/mdala.lv2)
+    # Copy data files to build bundle (build/mda.lv2)
     def do_copy(task):
         src = task.inputs[0].abspath()
         tgt = task.outputs[0].abspath()
@@ -70,23 +70,24 @@
         #cmd = 'cp %s %s' % (src, tgt)
         #return task.exec_command(cmd)
 
-    for i in bld.path.ant_glob('mdala.lv2/[A-Z]*.ttl'):
+    for i in bld.path.ant_glob('mda.lv2/[A-Z]*.ttl'):
         bld(rule   = do_copy,
             source = i,
-            target = bld.path.get_bld().make_node('mdala.lv2/%s' % i),
-            install_path = '${LV2DIR}/mdala.lv2')
+            target = bld.path.get_bld().make_node('mda.lv2/%s' % i),
+            install_path = '${LV2DIR}/mda.lv2')
 
     bld(features = 'subst',
-        source   = 'mdala.lv2/manifest.ttl.in',
-        target   = bld.path.get_bld().make_node('mdala.lv2/manifest.ttl'),
+        source   = 'mda.lv2/manifest.ttl.in',
+        target   = bld.path.get_bld().make_node('mda.lv2/manifest.ttl'),
         LIB_EXT  = bld.env['pluginlib_EXT'],
-        install_path = '${LV2DIR}/mdala.lv2')
+        install_path = '${LV2DIR}/mda.lv2')
 
     plugins = '''
             Ambience
             Bandisto
             BeatBox
             Combo
+            DX10
             DeEss
             Degrade
             Delay
@@ -94,7 +95,9 @@
             Dither
             DubDelay
             Dynamics
+            EPiano
             Image
+            JX10
             Leslie
             Limiter
             Loudness
@@ -117,15 +120,12 @@
             VocInput
             Vocoder
     '''.split()
-#               DX10
-#               EPiano
-#               JX10
-#               Looplex
+#            Looplex
 
     # Build plugin libraries
     for i in plugins:
-        build_plugin(bld, 'cxx', 'mdala.lv2', i, ['src/mda%s.cpp' % i],
-                                 ['-DPLUGIN_CLASS=mda%s' % i,
-                                  '-DURI_PREFIX=\"http://drobilla.net/plugins/mdala/\"',
-                                  '-DPLUGIN_URI_SUFFIX="%s"' % i,
-                                  '-DPLUGIN_HEADER="src/mda%s.h"' % i])
+        build_plugin(bld, 'cxx', 'mda.lv2', i, ['src/mda%s.cpp' % i],
+                     ['-DPLUGIN_CLASS=mda%s' % i,
+                      '-DURI_PREFIX=\"http://drobilla.net/plugins/mda/\"',
+                      '-DPLUGIN_URI_SUFFIX="%s"' % i,
+                      '-DPLUGIN_HEADER="src/mda%s.h"' % i])
