=== debian/changelog ===
mda-lv2 (1.0.0~dfsg0-1) unstable; urgency=low

  * First upstream stable release.
  * Drop build-dependency on slv2.
  * Replace build-dep on lv2core with lv2-dev.
  * Fix dh_auto_clean rule.
  * Update debian/copyright.
  * Add watch file.
  * Bump Standards.
  * Update Homepage field.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 May 2012 02:47:30 +0200
