=== debian/control ===
--- 
+++ 
@@ -2,25 +2,28 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
- lv2core,
- libslv2-dev,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.3
+Build-Depends:
+ debhelper (>= 7.0.50~),
  libfftw3-dev,
  libgtk2.0-dev,
  libxt-dev,
+ lv2-dev,
  python,
  xsltproc
-Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
+Homepage: http://drobilla.net/software/mda-lv2/
 Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
 
 Package: mda-lv2
-Provides: lv2-plugin
+Provides:
+ lv2-plugin
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Paul Kellett's MDA plugins ported to LV2
  This package provides Paul Kellett's MDA plugins ported to the
  LV2 specification.
