=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,9 @@
 	$(WAF) install
 
 override_dh_auto_clean:
-	$(WAF) distclean
+	$(WAF) clean || true
 	find -name "*.pyc" -delete
+	rm -rf build .waf*
 	dh_auto_clean
 
 # No tests available
