=== debian/watch ===
version=3
http://download.drobilla.net/mda-lv2-(.*)\.tar\.bz2
