=== debian/changelog ===
mda-lv2 (1.2.2~dfsg0-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Dec 2016 12:18:02 +0100

mda-lv2 (1.2.2~dfsg0-1) unstable; urgency=low

  * New upstream stable release.
  * Set dh/compat 9.
  * Bump Standards.
  * Remove --debug from configure to flags to be passed.
  * Added myself as uploader.
  * Added repacking scripts.
  * Update overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 18 Feb 2014 20:46:52 +0100
