=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 export DESTDIR=$(CURDIR)/debian/mda-lv2
+
 WAF = ./waf
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	$(WAF) configure --prefix=/usr --debug
+	$(WAF) configure --prefix=/usr
 
 override_dh_auto_build:
 	$(WAF)
