=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://download.drobilla.net/mda-lv2-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub
