## mda-lv2 1.2.2

=== debian/changelog ===
mda-lv2 (1:1.2.2-1kxstudio1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Tue, 07 Jan 2014 11:34:08 +0000

mda-lv2 (1.0.0-2kxstudio2) lucid; urgency=low

  * Build against fftw3-static

 -- falkTX <falktx@gmail.com>  Sat, 17 Aug 2013 22:11:03 +0100

mda-lv2 (1.0.0-2kxstudio1) lucid; urgency=low

  * Import package

 -- falkTX <falktx@gmail.com>  Tue, 23 Jul 2013 20:05:52 +0100

mda-lv2 (1.0.0-1+programs4~precise1) precise; urgency=low

  * Update lv2-programs patch

 -- falkTX <falktx@gmail.com>  Wed, 02 Jan 2013 23:04:32 +0000

mda-lv2 (1.0.0-1+programs3) precise; urgency=low

  * Support lv2-programs extension

 -- falkTX <falktx@gmail.com>  Wed, 02 May 2012 00:18:13 +0100

mda-lv2 (1.0.0-1+nodebug1) precise; urgency=low

  * Backport, no debug

 -- falkTX <falktx@gmail.com>  Tue, 24 Apr 2012 07:18:48 +0100

mda-lv2 (1.0.0~dfsg0-1) UNRELEASED; urgency=low

  * Imported Upstream version 1.0.0~dfsg0
  * Fix dh_auto_clean rule.
  * Update debian/copyright.
  * Add watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 09:54:57 +0200
