=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.3
 Build-Depends:
- debhelper (>= 10),
- libfftw3-dev,
+ debhelper (>= 7.0.50~),
  libgtk2.0-dev,
  libxt-dev,
  lv2-dev,
  python,
- xsltproc
-Standards-Version: 3.9.8
-Homepage: http://drobilla.net/software/mda-lv2/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mda-lv2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mda-lv2.git
+ xsltproc,
+ fftw3-static
+Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
+Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
 
 Package: mda-lv2
 Provides:
