=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
+export CXXFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
 
 export DESTDIR=$(CURDIR)/debian/mda-lv2
-
 WAF = ./waf
 
 %:
