=== debian/changelog ===
mda-lv2 (1.2.4-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Olivier Humbert ]
  * d/control: Update description
  * d/copyright:
    + Update source url
    + Use https protocol

  [ Dennis Braun ]
  * New upstream release
  * No need to repack anymore
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Build with gtk3 and python3 (Closes: #936998)
    + Use https protocol for homepage
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year and add myself
  * Remove unused debian files
  * d/rules: Fix WAF variable

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 20:58:18 +0100
