=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: mda-lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.3
+ Dennis Braun <d_braun@kabelmail.de>,
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
- libgtk2.0-dev,
+ debhelper-compat (= 12),
+ libfftw3-dev,
+ libgtk-3-dev,
  libxt-dev,
  lv2-dev,
- python,
- xsltproc,
- fftw3-static
-Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
-Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
+ python3,
+ xsltproc
+Standards-Version: 4.5.0
+Homepage: https://drobilla.net/software/mda-lv2/
+Vcs-Git: https://salsa.debian.org/multimedia-team/mda-lv2.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/mda-lv2
+Rules-Requires-Root: no
 
 Package: mda-lv2
 Provides:
@@ -44,13 +47,11 @@
   * DubDelay - Delay with feedback saturation and time/pitch modulation
   * Dynamics - Compressor / Limiter / Gate
   * DX10 - FM Synthesizer
-  * Envelope - Envelope follower / VCA
   * EPiano - Acoustic piano
   * Image - Stereo image adjustment and M-S matrix
   * JX10 - 2-Oscillator analog synthesizer
   * Leslie - Rotary speaker simulator
   * Limiter - Opto-electronic style limiter
-  * Looplex - Looping plugin
   * Loudness - Equal loudness contours for bass EQ and mix correction
   * Multiband - Multi-band compressor with M-S processing modes
   * Overdrive - Soft distortion
@@ -59,7 +60,6 @@
   * RingMod - Ring modulator with sine-wave oscillator
   * Round Panner - 3D panner
   * Shepard - Continuously rising/falling tone generator
-  * SpecMeter - VU-meter
   * Splitter - Frequency / level crossover for setting up dynamic
     processing
   * Stereo Simulator - Haas delay and comb filtering
