=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-export CFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
-export CXXFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DESTDIR=$(CURDIR)/debian/mda-lv2
-WAF = ./waf
+
+WAF = python3 ./waf
 
 %:
 	dh $@
