=== debian/watch ===
version=4
https://download.drobilla.net/mda-lv2-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
