=== debian/changelog ===
mda-lv2 (1.2.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Olivier Humbert ]
  * d/control: adds Piano + alphabetical order

  [ Dennis Braun ]
  * New upstream version 1.2.6
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Update d/copyright year for my entry
  * Drop obsolete lintian-overrides
  * Update d/upstream/metadata with gitlab links
  * Add d/upstream/signing-key.asc
  * Add pgpmode=auto to d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 19 Jan 2021 20:14:54 +0100
