=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfftw3-dev,
  libgtk-3-dev,
  libxt-dev,
  lv2-dev,
  python3,
  xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/mda-lv2/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mda-lv2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mda-lv2
@@ -45,8 +45,8 @@
   * Detune - Simple up/down pitch shifting thickener
   * Dither - Range of dither types including noise shaping
   * DubDelay - Delay with feedback saturation and time/pitch modulation
+  * DX10 - FM Synthesizer
   * Dynamics - Compressor / Limiter / Gate
-  * DX10 - FM Synthesizer
   * EPiano - Acoustic piano
   * Image - Stereo image adjustment and M-S matrix
   * JX10 - 2-Oscillator analog synthesizer
@@ -55,6 +55,7 @@
   * Loudness - Equal loudness contours for bass EQ and mix correction
   * Multiband - Multi-band compressor with M-S processing modes
   * Overdrive - Soft distortion
+  * Piano
   * RePsycho - Drum loop pitch changer
   * RezFilter - Resonant filter with LFO and envelope follower
   * RingMod - Ring modulator with sine-wave oscillator
@@ -70,9 +71,9 @@
   * Thru-Zero Flanger - Classic tape-flanging simulation
   * Tracker - Pitch tracking oscillator, or pitch tracking EQ
   * Transient - Transient shaper
-  * Vocoder - Switchable 8 or 16 band vocoder
   * VocInput - Pitch tracking oscillator for generating vocoder
     carrier input
+  * Vocoder - Switchable 8 or 16 band vocoder
  .
  These plugins make no claim of compatibility, or any other relation,
  to VST. This code does not require the VST SDK, or any other non-free
