=== debian/changelog ===
mda-lv2 (1.2.10-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:00:20 +0200

mda-lv2 (1.2.10-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump Standards-Version
    - Fix homepage
    - Add pkgconf and ninja-build to Build-Depends
    - Remove python3 from Build-Depends
  * debian/rules:
    - Remove leftovers from waf-based build system
    - Fix lv2dir

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Oct 2023 19:02:04 +0100

mda-lv2 (1.2.10-1) unstable; urgency=medium

  * New upstream version 1.2.10
  * Build with meson
  * Fix uploaders order
  * Bump Standards Version to 4.6.1
  * d/copyright: Drop waf entry and BSD-3-clause license
  * d/copyright: Bump years
  * Add lintian-overrides
  * Add salsa ci config
  * d/gbp.conf: Remove wrong compression

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 18 Sep 2022 23:43:04 +0200
