=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: mda-lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
  libfftw3-dev,
  libgtk-3-dev,
  libxt-dev,
  lv2-dev,
- python3,
+ meson,
+ ninja-build,
+ pkgconf,
  xsltproc
-Standards-Version: 4.5.1
-Homepage: https://drobilla.net/software/mda-lv2/
+Standards-Version: 4.6.2
+Homepage: https://drobilla.net/category/mdalv2/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mda-lv2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mda-lv2
 Rules-Requires-Root: no
